# Copyright 2021 Francesco Seccamonte

# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at

# http://www.apache.org/licenses/LICENSE-2.0

# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Programming assignment 7 - Check the functions run

from programming_assignment7 import *
import numpy as np

if __name__ == '__main__':
    
    theta = 2*np.pi/3;
    n = np.array([1/np.sqrt(2), -1/np.sqrt(2), 0]);

    R = computeRMfromAA(theta, n);
    # should be equal to
    # [[ 0.25       -0.75       -0.61237244]
    #  [-0.75        0.25       -0.61237244]
    #  [ 0.61237244  0.61237244 -0.5       ]]

    R = np.array([[0.25, -0.75, -0.61237244],\
        [-0.75, 0.25, -0.61237244],\
        [0.61237244, 0.61237244, -0.5]]);

    theta, n = computeAAfromRM(R);
    # should be equal to theta and n above
